org.eclipse.viatra.cep.core.metamodels.automaton

## Interface ParameterTable

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ParameterTableImpl

      public interface ParameterTable
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Parameter Table'.

  The following features are supported:

  - `Parameter Bindings`
  - `Event Token`
  See Also:
    `AutomatonPackage.getParameterTable()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventToken` | `getEventToken()` Returns the value of the 'Event Token' container reference.
    `org.eclipse.emf.common.util.EList<ParameterBinding>` | `getParameterBindings()` Returns the value of the 'Parameter Bindings' containment reference list.
    `void` | `setEventToken(EventToken value)` Sets the value of the '`Event Token`' container reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParameterBindings

          org.eclipse.emf.common.util.EList<ParameterBinding> getParameterBindings()

      Returns the value of the 'Parameter Bindings' containment reference list. The list contents are of type `ParameterBinding`. It is bidirectional and its opposite is '`Parameter Table`'.

      If the meaning of the 'Parameter Bindings' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameter Bindings' containment reference list.
      See Also:
        `AutomatonPackage.getParameterTable_ParameterBindings()`, `ParameterBinding.getParameterTable()`
      Generated:
      Model:
        opposite="parameterTable" containment="true"

    - #### getEventToken

          EventToken getEventToken()

      Returns the value of the 'Event Token' container reference. It is bidirectional and its opposite is '`Parameter Table`'.

      If the meaning of the 'Event Token' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Token' container reference.
      See Also:
        `setEventToken(EventToken)`, `AutomatonPackage.getParameterTable_EventToken()`, `EventToken.getParameterTable()`
      Generated:
      Model:
        opposite="parameterTable" required="true" transient="false"

    - #### setEventToken

          void setEventToken(EventToken value)

      Sets the value of the '`Event Token`' container reference.
      Parameters:
        `value` - the new value of the 'Event Token' container reference.
      See Also:
        `getEventToken()`
      Generated: